<?php

i18n_merge('ms_admin') || i18n_merge('ms_admin', 'en_US');

$thisfile=basename(__FILE__, ".php");

register_plugin(
	$thisfile, 							//идентификатор плагина
	i18n_r('ms_admin/MODULNAME4'), 		//Название плагина
	i18n_r('ms_admin/MSSVERSION'), 	//Версия плагина
	i18n_r('ms_admin/AUTOR'),			//автор плагина
	'http://must-style.ru/', 			//сайт автора
	i18n_r('ms_admin/SMDESCRIPTION'), 	//краткое описание плагина
	'msadmin', 							//тип страницы – на какой из вкладок административной панели появится плагин
	'servicemode_function'  			//главная функция плагина (функция администрирования)
);

# Проверка обработки формы
if(isset($_POST['service_mode_plugin_submitted'])){
	servicemode_save($_POST['servicemodecheckbox'],$_POST['servicemodetextarea']);
}

# Основная функция режима техобслуживания
function servicemode_function(){
	$file = GSDATAOTHERPATH.'servicemodeplugindata.xml';

	if (file_exists($file)) {
	    $data = getXML($file);
		$servicemodemessage = $data->message;
		$servicemodestatus = $data->status;
  	} else {
  		file_put_contents(GSDATAOTHERPATH.'servicemodeplugindata.xml','<?xml version="1.0"?><item><status>off</status><message>На сайте проводится техническое обслуживание</message></item>');
		$servicemodemessage = "service Mode Enabled";
		$servicemodestatus = "off";
	}

	if($servicemodestatus == "on"){
		$servicemodeonoff = 'checked';
	} else {
		$servicemodeonoff = '';
	}

	echo '<form method="post">';
	echo '<h3><input type="checkbox" name="servicemodecheckbox" value="on" '.$servicemodeonoff.' id="checkon"/><label for="checkon"></label>&nbsp;' . i18n_r('ms_admin/MODULNAME3') . '<input type="hidden" name="service_mode_plugin_submitted" value="true"></h3>';
	
	echo '<p>' . i18n_r('ms_admin/SMCOMMENT') . '</p>';
	
	echo '<h2>' . i18n_r('ms_admin/SMHEADER2') . ':</h2>';
	echo '<p><textarea name="servicemodetextarea" style="height:150px;">'. $servicemodemessage .'</textarea></p>';
	echo '<p>' . i18n_r('ms_admin/SMCOMMENT2') . '.</p>';
	echo '<input type="submit" class="submit" value="' . i18n_r('ms_admin/SMSAVE') . '"></form>';
}

# Сохрание статуса
function servicemode_save($status, $msg) {
	if($status == "on"){
		$offon = "on";
	} else {
		$offon = "off";
	}
	file_put_contents(GSDATAOTHERPATH.'servicemodeplugindata.xml','<?xml version="1.0"?><item><status>'.$offon.'</status><message>'.$msg.'</message></item>');
}

# Добавляем ссылку на вкладку Темы 
add_action('msadmin-sidebar','createSideMenu',array($thisfile,i18n_r('ms_admin/MODULNAME3')));
add_action('settings-sidebar','createSideMenu',array($thisfile,i18n_r('ms_admin/MODULNAME3')));

add_action('index-pretemplate','servicemode_frontend');

add_action('header', 'servicemode_backend');

# Формирование страницы-заглушки при включении режима техобслуживания
function servicemode_frontend() {
	$file = GSDATAOTHERPATH.'servicemodeplugindata.xml';
	$data = getXML($file);
	$servicemodemessage = $data->message;
	$servicemodestatus = $data->status;

	if ($servicemodestatus == 'on' && !isset($_COOKIE['GS_ADMIN_USERNAME'])) {
		echo '	<!DOCTYPE>';
		echo '	<html>
					<head>
						<meta name="keywords" content="';
						get_page_meta_keywords();
						echo '">
						<title>';
						get_site_name();
						echo '</title>
						<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css" rel="stylesheet" />
						<link type="text/css" rel="stylesheet" href="./plugins/ms_admin/css/ms_panel.css" />
						<style>
							*:before, *:after {
								-webkit-box-sizing: border-box;
								-moz-box-sizing: border-box;
								box-sizing: border-box;
							}
							html {
								width:100%;height:100%;
								}
							body {
								width:100%;height:100%;
								margin:0px;padding:0px;
								background:#fff url(\'./plugins/ms_admin/images/bgw.png\');
							}
							a:link, a:active, a:visited {text-decoration:none;color:#008DD2;}
							a:hover {color:#e00000;}
							.main_page {
								display:block;
								width:960px;
								background:none;
								position:fixed;top:50%;left:50%;margin:-180px 0 0 -480px;
							}
							.main_body_404 {
								background: none;
								font-size:11pt;color:#333;font-family: arial, sans-serif!important;text-align:justify;
								width:930px;min-height:100px;padding:30px 15px 20px 15px;
							}
							.img_404 {
								float:left;
								display:block;
								width:450px;height:250px;margin:0 -50px 0 -20px;
								background:url(\'./plugins/ms_admin/images/sm_img.png\') no-repeat center center;
							}
							.text_404 {
								float:right;
								color:#333;
								display:block;
								width:450px;height:150px;margin:60px 50px 0 0px;
								text-align:right;
							}
							.text_404 i {
								display:block;
								font-family:georgia;font-size:28pt;font-style:italic;
								margin:0px 70px 0px -150px;
							}
							div.admin-menu-enter {
								width: 402px!important;
								height: 30px!important;
								padding: 5px 1px!important;
							}
							.enter-table td.enter-form i.fa-ico {
								padding: 0 0px!important;
							}
						</style>
						<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
					</head>
					<body> 
						<div class="main_page">
							<div class="main_body_404">
								<div class="img_404"></div>
								<div class="text_404">
									<i>Вот ведь незадача...</i><br/>' . $servicemodemessage . '<br/>
									<div style="margin-top:15px;"><a href="http://must-style.ru">создание сайтов</a> | <a href="https://www.ihc.ru/?ref=254807">хостинг</a></div>
								</div>
							</div>
							<div class="clear"></div>
						</div>
						<div class="admin-block-enter" onclick="adminmenuenteropen();"></div>
						<div class="admin-menu-enter">
							<form action="/admin/index.php?" method="post">
								<table class="enter-table" cellspacing="0" cellpadding="0">
									<tr>
										<td class="enter-form"><button type="button" name="submitted" class="submit" title="' . i18n_r('ms_admin/RESETPASS') . '" onclick="self.location.href=\'/admin/resetpassword.php\';"><i class="fa fa-history" aria-hidden="true"></i></button></td>
										<td class="enter-form"><i class="fa fa-user fa-ico" aria-hidden="true"></i><input type="text" class="text" id="userid" name="userid" placeholder="' . i18n_r('ms_admin/LOGIN') . '"></td>
										<td class="enter-form"><i class="fa fa-unlock-alt fa-ico" aria-hidden="true"></i><input type="password" class="text" id="pwd" name="pwd" placeholder="' . i18n_r('ms_admin/PASSWORD') . '"></td>
										<td class="enter-form"><button type="submit" name="submitted" class="submit" title="' . i18n_r('ms_admin/ENTER') . '"><i class="fa fa-sign-in" aria-hidden="true"></i></button></td>
									</tr>
								</table>
							</form>
						</div>
						<script type="text/javascript" src="./plugins/ms_admin/js/ms_fx_user.js"></script>
					</body>
				</html>';
		die;
	}
}
# Индикация включения режима техобслуживания
function servicemode_backend() {
	$file = GSDATAOTHERPATH.'servicemodeplugindata.xml';
	$data = getXML($file);
	$servicemodestatus = $data->status;
	if ($servicemodestatus == 'on') {
		echo '
		<script>
		$(document).ready(function() {
			$(\'#nav_ms_admin a\').css(\'background\',\'#D94136\').css(\'color\',\'#fff\').html(\'<i class="fa fa-shield"></i> ' . i18n_r('ms_admin/SMBUTTON') . '\');
			$(\'.bodycontent.clearfix\').before(\'<div class="error" style="display:block;"><i class="fa fa-exclamation-triangle"></i> ' . i18n_r('ms_admin/SMNOTICE') . ' <i class="fa fa-power-off" style="margin-left:20px;"></i> <a href="/admin/load.php?id=ms_servicemode">' . i18n_r('ms_admin/SMNOTICEBTN') . '</a></div>\');
			});
		</script>
		';
	}
}
?>